[PATCH v2] Allow wpa_supplicant to use libnl-2.0.

Jon Loeliger jdl at bigfootnetworks.com
Mon Jul 6 15:18:46 EDT 2009


On Mon, 2009-07-06 at 14:58 -0400, Pavel Roskin wrote:
> On Mon, 2009-07-06 at 09:50 -0500, Jon Loeliger wrote:
> > @@ -46,14 +46,15 @@
> >  #ifdef HOSTAPD
> >  #include "ieee802_11_common.h"
> >  
> > +#endif /* HOSTAPD */
> 
> The empty line before #endif is not needed.

I didn't add it, but I can certainly remove it! :-)

> > -LIBS += -lnl
> > +LIBS += -lnl -lnl-genl
> 
> That would break libnl 1.1!  Please see how hostapd/Makefile does it:

D'oh.

> LIBS += -lnl
> ifdef CONFIG_LIBNL20
> LIBS += -lnl-genl
> CFLAGS += -DCONFIG_LIBNL20
> endif
> endif

Rats.  You're right; I'll fix it.

> What adding support for something new, it's very important to test that
> the existing functionality is not affected.

Thank you.

> Apart from that, the patch is OK.

Thanks,
jdl




More information about the HostAP mailing list